// Generated by LiveScript 1.5.0
/**
 * @package build-gc
 * @author  Nazar Mokrynskyi <nazar@mokrynskyi.com>
 * @license 0BSD
 */
(function(){
  var compiler, fs, gulp;
  compiler = require('google-closure-compiler-js').gulp();
  fs = require('fs');
  gulp = require('gulp');
  module.exports = {
    minify: minify,
    'default': _default
  };
  /**
   * @param {string}					source	Source file to minify
   * @param {string}					output	Where to output minified result
   * @param {(string|!Array<string>)}	externs	Closure Compiler externs
   */
  function minify(source, output, externs){
    var output_file, output_dir;
    externs == null && (externs = []);
    if (!Array.isArray(externs)) {
      externs = [externs];
    }
    output = output.split('/');
    output_file = output.pop();
    output_dir = output.join('/');
    return function(){
      return gulp.src(source).pipe(compiler({
        compilationLevel: 'ADVANCED',
        externs: externs.map(function(file){
          return {
            src: fs.readFileSync(file).toString()
          };
        }),
        jsOutputFile: output_file,
        languageIn: 'ES5',
        languageOut: 'ES5',
        rewritePolyfills: false,
        warningLevel: 'VERBOSE'
      })).pipe(gulp.dest(output_dir));
    };
  }
  function _default(){
    gulp.task('default', minify.apply(null, arguments));
  }
}).call(this);
